#include "chdecl.h"
void CH_checkconstraints(current, sched, cop)
#define ARGUMENTS 11
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c6;
    case 4: goto c29;
    case 5: goto c49;
    case 6: goto c60;
    case 7: goto c62;
    case 8: goto c68;
    case 9: goto c79;
    case 10: goto c89;
    case 11: goto c105;
    case 12: goto c109;
    case 13: goto c127;
    case 14: goto cb137;
    case 15: goto c138;
    case 16: goto c140;
    case 17: goto c150;
    case 18: goto c155;
    case 19: goto c181;
    case 20: goto c252;
    case 21: goto c264;
    case 22: goto c266;
    case 23: goto c268;
    case 24: goto c287;
    case 25: goto cb330;
    case 26: goto c331;
    case 27: goto c332;
    case 28: goto c376;
    case 29: goto c379;
    case 30: goto c382;
    case 31: goto c383;
    case 32: goto c386;
    case 33: goto c390;
    case 34: goto c398;
    case 35: goto c401;
    case 36: goto c413;
    case 37: goto c432;
    case 38: goto c434;
    case 39: goto c438;
    case 40: goto c440;
    case 41: goto c450;
    case 42: goto c452;
    case 43: goto c463;
    case 44: goto c465;
    case 45: goto c468;
    case 48: goto c472;
    case 46: goto c472;
    case 47: goto cb483;
    case 49: goto c485;
    case 50: goto c489;
    case 51: goto c495;
    case 52: goto c550;
    case 53: goto c552;
    case 54: goto c557;
    case 55: goto c562;
    case 56: goto c568;
    case 57: goto c577;
    case 58: goto c591;
    case 59: goto c595;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* find 4 3.2 3.1 , 0 */
  if (findfunc(DEF(4),DEF(3)DOT(2),(
          arguments[0] = DEF(3)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 5 4.2 */
  if((ch_returncode = cp_table(& ch_val, REF(4)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = & dr_table;
/* initget 6 5 , 0,0 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(6),DEF(5),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c6:
/* get_or_goto 6 5 , 552 */
  if ((ch_returncode = get_selected_object(DEF(6),DEF(5),sched)) != Normal)
     goto c552;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* find 10 6.1.0 6.1.2 , 0 */
  if (findfunc(DEF(10),DEF(6)DOT(1)DOT(0),(
          arguments[0] = DEF(6)DOT(1)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* size 11 6.2 */
  REF(11).value.integer = REF(6)DOT(2).value.table->size;
  REF(11).tsdr = & dr_integer;
/* notequal . 11 =(0) , 27 */
  if ( REF(11).value.integer != 0 ) goto c27;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 13 , "constraint defined with no arguments" */
  if( !chs_lit(DEF(13),"constraint defined with no arguments") )
     goto ch_depletion;
/* unite 14 13 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(13),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 15 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).value = ch_val;
  REF(15).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 15 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(15),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 62 */
   goto c62;
c27:
/* copy 16 6.2 */
  if((ch_returncode = cp_table(& ch_val, REF(6)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).value = ch_val;
  REF(16).tsdr = & dr_table;
/* initget 17 16 , 0,0 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(17),DEF(16),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c29:
/* get_or_goto 17 16 , 60 */
  if ((ch_returncode = get_selected_object(DEF(17),DEF(16),sched)) != Normal)
     goto c60;
/* block , 3 */
  if((ch_returncode = che_block(QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
/* find 18 10.1 17 , 0 */
  if (findfunc(DEF(18),DEF(10)DOT(1),(
          arguments[0] = DEF(17),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* case 19 18.1 */
  REF(19).value.enumeration = REF(18)DOT(1).value.variant->info.variant_case;
  REF(19).tsdr = & dr_enumeration;
/* equal 20 19 =(0) */
  REF(20).value.boolean = (REF(19).value.enumeration == 0);
  REF(20).tsdr = & dr_boolean;
/* not 21 20 */
  REF(21).value.boolean = !REF(20).value.boolean;
  REF(21).tsdr = & dr_boolean;
/* branch_false 21 , 47 */
  if ( !REF(21).value.boolean ) goto c47;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 22 , "attribute parameter's declaration doesn't have 'named' optional_typename" */
  if( !chs_lit(DEF(22),
    "attribute parameter's declaration doesn't have 'named' optional_typename"
    ) ) goto ch_depletion;
/* unite 14 22 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(22),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 23 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 23 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(23),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c47:
/* endblock */
  che_endblock(sched);
/* branch , 29 */
   goto c29;
c49:
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 24 , "attribute definition parameter not found in main scope of execution environment" */
  if( !chs_lit(DEF(24),
    "attribute definition parameter not found in main scope of execution environment"
    ) ) goto ch_depletion;
/* unite 14 24 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(24),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 25 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 25 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(25),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 29 */
   goto c29;
c60:
/* endget 17 16 */
  end_selector(DEF(17),DEF(16),sched,GET);
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
c62:
/* notequal . 6.3.0.0 6.1.2 , 79 */
  if ( !(REF(6)DOT(3)DOT(0)DOT(0).tsdr->equal)(REF(6)DOT(3)DOT(0)DOT(0).value,
    REF(6)DOT(1)DOT(2).value) ) goto c79;
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* find 26 10.1 6.3.0.1 , 0 */
  if (findfunc(DEF(26),DEF(10)DOT(1),(
          arguments[0] = DEF(6)DOT(3)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* endblock */
  che_endblock(sched);
/* branch , 89 */
   goto c89;
c68:
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 27 , "attribute's returnvalue not found in main scope" */
  if( !chs_lit(DEF(27),"attribute's returnvalue not found in main scope") )
     goto ch_depletion;
/* unite 14 27 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(27),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 28 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 28 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(28),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 89 */
   goto c89;
c79:
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 29 , "attribute's returnvalue's scope not main scope" */
  if( !chs_lit(DEF(29),"attribute's returnvalue's scope not main scope") )
     goto ch_depletion;
/* unite 14 29 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(29),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 30 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val;
  REF(30).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 30 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(30),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c89:
/* size 31 6.3.1 */
  REF(31).value.integer = REF(6)DOT(3)DOT(1).value.table->size;
  REF(31).tsdr = & dr_integer;
/* equal . 31 =(0) , 103 */
  if ( REF(31).value.integer == 0 ) goto c103;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 32 , "attribute's returnvalue has components; should be boolean" */
  if( !chs_lit(DEF(32),
    "attribute's returnvalue has components; should be boolean") )
     goto ch_depletion;
/* unite 14 32 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(32),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 33 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 33 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(33),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c103:
/* endblock */
  che_endblock(sched);
/* branch , 127 */
   goto c127;
c105:
/* chs_lit 34 , "Whoa! mscope not found in attdef.execution_environment" */
  if( !chs_lit(DEF(34),
    "Whoa! mscope not found in attdef.execution_environment") )
     goto ch_depletion;
/* print 34 */
  re_print(stderr, 0, DEF(34)); fflush(stderr);
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* branch , 127 */
   goto c127;
c109:
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* discard 27 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* chs_lit 35 , "Whoa! unexpected others in first block of checkconstraints" */
  if( !chs_lit(DEF(35),
    "Whoa! unexpected others in first block of checkconstraints") )
     goto ch_depletion;
/* print 35 */
  re_print(stderr, 0, DEF(35)); fflush(stderr);
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c127:
/* prog_lit 36 , 6 */
  if ((ch_returncode = che_prog_lit(DEF(36),QUAL(6),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 37 36 , 7 */
  if ((ch_returncode = che_procedure(DEF(37),DEF(36),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* move 7 37 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7) = REF(37);
  REF(37).tsdr = & dr_bottom;
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* find 38 3.2 3.1 , 0 */
  if (findfunc(DEF(38),DEF(3)DOT(2),(
          arguments[0] = DEF(3)DOT(1),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 8 38 */
  if((ch_returncode = (REF(38).tsdr->copy)(& ch_val, REF(38).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(38).tsdr->number];
/* new_table 9 , 9 */
  if ((ch_returncode = che_new_table(DEF(9),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 39 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val;
  REF(39).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* insert 9 39 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 14;
cb137:
/* call 7 6.4 3.1 8 9 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(6)DOT(4),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(8),
          arguments[4] = DEF(9),
          arguments[4+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c138:
/* endblock */
  che_endblock(sched);
/* branch , 150 */
   goto c150;
c140:
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 40 , "circularity in dependencies among user-defined constraints" */
  if( !chs_lit(DEF(40),
    "circularity in dependencies among user-defined constraints") )
     goto ch_depletion;
/* unite 14 40 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(40),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 41 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 41 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(41),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c150:
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* find 42 6.1.0 6.1.2 , 0 */
  if (findfunc(DEF(42),DEF(6)DOT(1)DOT(0),(
          arguments[0] = DEF(6)DOT(1)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* new_table 43 , 12 */
  if ((ch_returncode = che_new_table(DEF(43),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 44 6.4 */
  if((ch_returncode = cp_table(& ch_val, REF(6)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val;
  REF(44).tsdr = & dr_table;
/* initget 45 44 , 0,0 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(45),DEF(44),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c155:
/* get_or_goto 45 44 , 468 */
  if ((ch_returncode = get_selected_object(DEF(45),DEF(44),sched)) != Normal)
     goto c468;
/* case 46 45.0 */
  REF(46).value.enumeration = REF(45)DOT(0).value.variant->info.variant_case;
  REF(46).tsdr = & dr_enumeration;
/* equal . 46 =(4) , 268 */
  if ( REF(46).value.enumeration == 4 ) goto c268;
/* size 47 45.1 */
  REF(47).value.integer = REF(45)DOT(1).value.table->size;
  REF(47).tsdr = & dr_integer;
/* notequal . 47 =(0) , 175 */
  if ( REF(47).value.integer != 0 ) goto c175;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 48 , "attribute of constraint's typestate with no arguments" */
  if( !chs_lit(DEF(48),"attribute of constraint's typestate with no arguments"
    ) ) goto ch_depletion;
/* unite 14 48 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(48),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 49 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).value = ch_val;
  REF(49).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 49 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(49),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 465 */
   goto c465;
c175:
/* size 50 3.8 */
  REF(50).value.integer = REF(3)DOT(8).value.table->size;
  REF(50).tsdr = & dr_integer;
/* new_record 51 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).value = ch_val; REF(51).tsdr = & dr_record;
/* new_table 51.1 , 13 */
  if ((ch_returncode = che_new_table(DEF(51)DOT(1),QUAL(13)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 52 45.1 */
  if((ch_returncode = cp_table(& ch_val, REF(45)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = & dr_table;
/* initget 53 52 , 0,0 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(53),DEF(52),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c181:
/* get_or_goto 53 52 , 236 */
  if ((ch_returncode = get_selected_object(DEF(53),DEF(52),sched)) != Normal)
     goto c236;
/* equal . 53.0.0 6.1.2 , 195 */
  if ( (REF(53)DOT(0)DOT(0).tsdr->equal)(REF(53)DOT(0)DOT(0).value,
    REF(6)DOT(1)DOT(2).value) ) goto c195;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 54 , "scope of object in attribute of constraint pretypestate not main scope" */
  if( !chs_lit(DEF(54),
    "scope of object in attribute of constraint pretypestate not main scope"
    ) ) goto ch_depletion;
/* unite 14 54 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(54),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 55 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).value = ch_val;
  REF(55).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 55 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(55),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 181 */
   goto c181;
c195:
/* boolean 56 , FALSE */
  REF(56).value.boolean = FALSE;
  REF(56).tsdr = & dr_boolean;
/* find_or_goto 57 6.2 53.0.1 , 0,198 */
  if (findfunc(DEF(57),DEF(6)DOT(2),(
          arguments[0] = DEF(53)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto c198;
/* boolean 56 , TRUE */
  REF(56).value.boolean = TRUE;
  REF(56).tsdr = & dr_boolean;
c198:
/* not 58 56 */
  REF(58).value.boolean = !REF(56).value.boolean;
  REF(58).tsdr = & dr_boolean;
/* branch_false 58 , 211 */
  if ( !REF(58).value.boolean ) goto c211;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 59 , "object of attribute in constraint pretypestate not a parameter" */
  if( !chs_lit(DEF(59),
    "object of attribute in constraint pretypestate not a parameter") )
     goto ch_depletion;
/* unite 14 59 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(59),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 60 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).value = ch_val;
  REF(60).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 60 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(60),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 181 */
   goto c181;
c211:
/* position 61 53 */
  ch_frame = get_selector_frame(DEF(53),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(61).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(61).tsdr = &dr_integer;
/* igt 62 61 =(0) */
  REF(62).value.boolean = (REF(61).value.integer > 0);
/* case 63 45.0 */
  REF(63).value.enumeration = REF(45)DOT(0).value.variant->info.variant_case;
  REF(63).tsdr = & dr_enumeration;
/* equal 64 63 =(1) */
  REF(64).value.boolean = (REF(63).value.enumeration == 1);
  REF(64).tsdr = & dr_boolean;
/* and 65 62 64 */
  REF(65).value.boolean = REF(62).value.boolean&REF(64).value.boolean;
  REF(65).tsdr = & dr_boolean;
/* branch_false 65 , 233 */
  if ( !REF(65).value.boolean ) goto c233;
/* lookup_at 66 45.1 =(0) */
  if ( !((ch_t = REF(45)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(66).value,0);
  REF(66).tsdr = qdatarepmap[ch_t->tsdr->number];
/* equal . 66.0 53.0 , 233 */
  if ( (REF(66)DOT(0).tsdr->equal)(REF(66)DOT(0).value,REF(53)DOT(0).value) )
     goto c233;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 67 , "arguments to 'case' in constraint pretypestate have different roots" */
  if( !chs_lit(DEF(67),
    "arguments to 'case' in constraint pretypestate have different roots") )
     goto ch_depletion;
/* unite 14 67 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(67),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 68 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val;
  REF(68).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 68 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(68),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c233:
/* copy 69 53.1 */
  if((ch_returncode = (REF(53)DOT(1).tsdr->copy)(& ch_val, REF(53)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).value = ch_val;
  REF(69).tsdr = datarepmap[REF(53)DOT(1).tsdr->number];
/* insert 51.1 69 */
  if ((ch_returncode = insertfunc(DEF(51)DOT(1),DEF(69),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 181 */
   goto c181;
c236:
/* endget 53 52 */
  end_selector(DEF(53),DEF(52),sched,GET);
/* discard 52 */
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).tsdr = & dr_bottom;
/* size 70 3.8 */
  REF(70).value.integer = REF(3)DOT(8).value.table->size;
  REF(70).tsdr = & dr_integer;
/* notequal . 70 50 , 266 */
  if ( REF(70).value.integer != REF(50).value.integer ) goto c266;
/* lookup_at 71 45.1 =(0) */
  if ( !((ch_t = REF(45)DOT(1).value.table)->size) ) goto ch_notfound;
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(71).value,0);
  REF(71).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 51.0 45.0 */
  if((ch_returncode = cp_variant(& ch_val, REF(45)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(51)DOT(0).tsdr)->finalize)(REF(51)DOT(0).value,F_DISCARD,sched);
  REF(51)DOT(0).value = ch_val;
  REF(51)DOT(0).tsdr = & dr_variant;
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 43 */
  if (REF(43).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(43))) != Normal)
       goto ch_raise_exception;
/* find 72 43 71.0.1 , 0 */
  if (findfunc(DEF(72),DEF(43),(
          arguments[0] = DEF(71)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* fremove 73 72 43 , 0 */
  if ((ch_returncode = removefunc(DEF(73),DEF(72),DEF(43),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* insert 73.2 51 */
  if ((ch_returncode = insertfunc(DEF(73)DOT(2),DEF(51),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 43 73 */
  if ((ch_returncode = insertfunc(DEF(43),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 266 */
   goto c266;
c252:
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 74 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).value = ch_val; REF(74).tsdr = & dr_record;
/* copy 74.0 71.0.1 */
  if((ch_returncode = (REF(71)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(71)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(74)DOT(0).tsdr)->finalize)(REF(74)DOT(0).value,F_DISCARD,sched);
  REF(74)DOT(0).value = ch_val;
  REF(74)DOT(0).tsdr = datarepmap[REF(71)DOT(0)DOT(1).tsdr->number];
/* find 75 42.1 71.0.1 , 0 */
  if (findfunc(DEF(75),DEF(42)DOT(1),(
          arguments[0] = DEF(71)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* reveal 75.1 , 0 */
  if (0 != REF(75)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 74.1 75.1.0 */
  if((ch_returncode = (REF(75)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(75)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(74)DOT(1).tsdr)->finalize)(REF(74)DOT(1).value,F_DISCARD,sched);
  REF(74)DOT(1).value = ch_val;
  REF(74)DOT(1).tsdr = datarepmap[REF(75)DOT(1)DOT(0).tsdr->number];
/* new_table 74.2 , 9 */
  if ((ch_returncode = che_new_table(DEF(74)DOT(2),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 74.2 51 */
  if ((ch_returncode = insertfunc(DEF(74)DOT(2),DEF(51),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 43 74 */
  if ((ch_returncode = insertfunc(DEF(43),DEF(74),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 264 */
   goto c264;
c264:
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
c266:
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* branch , 465 */
   goto c465;
c268:
/* reveal 45.0 , 4 */
  if (4 != REF(45)DOT(0).value.variant->info.variant_case) goto ch_case_error;
/* block , 16 */
  if((ch_returncode = che_block(QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
/* new_record 76 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).value = ch_val; REF(76).tsdr = & dr_record;
/* find 77 3.2 45.0.0.0 , 0 */
  if (findfunc(DEF(77),DEF(3)DOT(2),(
          arguments[0] = DEF(45)DOT(0)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 78 77 */
  if((ch_returncode = (REF(77).tsdr->copy)(& ch_val, REF(77).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).value = ch_val;
  REF(78).tsdr = datarepmap[REF(77).tsdr->number];
/* find 79 78.2 45.0.0.1 , 0 */
  if (findfunc(DEF(79),DEF(78)DOT(2),(
          arguments[0] = DEF(45)DOT(0)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 80 79 */
  if((ch_returncode = (REF(79).tsdr->copy)(& ch_val, REF(79).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).value = ch_val;
  REF(80).tsdr = datarepmap[REF(79).tsdr->number];
/* size 81 80.2 */
  REF(81).value.integer = REF(80)DOT(2).value.table->size;
  REF(81).tsdr = & dr_integer;
/* size 82 45.1 */
  REF(82).value.integer = REF(45)DOT(1).value.table->size;
  REF(82).tsdr = & dr_integer;
/* notequal . 81 82 , 440 */
  if ( REF(81).value.integer != REF(82).value.integer ) goto c440;
/* block , 17 */
  if((ch_returncode = che_block(QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
/* find 83 80.1.0 80.1.2 , 0 */
  if (findfunc(DEF(83),DEF(80)DOT(1)DOT(0),(
          arguments[0] = DEF(80)DOT(1)DOT(2),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 84 83 */
  if((ch_returncode = (REF(83).tsdr->copy)(& ch_val, REF(83).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).value = ch_val;
  REF(84).tsdr = datarepmap[REF(83).tsdr->number];
/* copy 85 45.1 */
  if((ch_returncode = cp_table(& ch_val, REF(45)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).value = ch_val;
  REF(85).tsdr = & dr_table;
/* initget 86 85 , 0,0 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(86),DEF(85),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c287:
/* get_or_goto 86 85 , 386 */
  if ((ch_returncode = get_selected_object(DEF(86),DEF(85),sched)) != Normal)
     goto c386;
/* equal . 86.0.0 6.1.2 , 301 */
  if ( (REF(86)DOT(0)DOT(0).tsdr->equal)(REF(86)DOT(0)DOT(0).value,
    REF(6)DOT(1)DOT(2).value) ) goto c301;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 87 , "scope of object in constraint attribute of constraint pretypestate not main scope" */
  if( !chs_lit(DEF(87),
    "scope of object in constraint attribute of constraint pretypestate not main scope"
    ) ) goto ch_depletion;
/* unite 14 87 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(87),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 88 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val;
  REF(88).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 88 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(88),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 287 */
   goto c287;
c301:
/* boolean 89 , FALSE */
  REF(89).value.boolean = FALSE;
  REF(89).tsdr = & dr_boolean;
/* find_or_goto 90 6.2 86.0.1 , 0,304 */
  if (findfunc(DEF(90),DEF(6)DOT(2),(
          arguments[0] = DEF(86)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto c304;
/* boolean 89 , TRUE */
  REF(89).value.boolean = TRUE;
  REF(89).tsdr = & dr_boolean;
c304:
/* not 91 89 */
  REF(91).value.boolean = !REF(89).value.boolean;
  REF(91).tsdr = & dr_boolean;
/* branch_false 91 , 317 */
  if ( !REF(91).value.boolean ) goto c317;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 92 , "object of constraint attribute in constraint pretypestate not a parameter" */
  if( !chs_lit(DEF(92),
    "object of constraint attribute in constraint pretypestate not a parameter"
    ) ) goto ch_depletion;
/* unite 14 92 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(92),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 93 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).value = ch_val;
  REF(93).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 93 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(93),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 287 */
   goto c287;
c317:
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* find 94 42.1 86.0.1 , 0 */
  if (findfunc(DEF(94),DEF(42)DOT(1),(
          arguments[0] = DEF(86)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* reveal 94.1 , 0 */
  if (0 != REF(94)DOT(1).value.variant->info.variant_case) goto ch_case_error;
/* copy 95 94.1.0 */
  if((ch_returncode = (REF(94)DOT(1)DOT(0).tsdr->copy)(& ch_val, 
    REF(94)DOT(1)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).value = ch_val;
  REF(95).tsdr = datarepmap[REF(94)DOT(1)DOT(0).tsdr->number];
/* copy 96 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).value = ch_val;
  REF(96).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 97 , " of constraint attribute in constraint pretypestate" */
  if( !chs_lit(DEF(97)," of constraint attribute in constraint pretypestate"
    ) ) goto ch_depletion;
/* unite 98 97 , 3 */
  if ((ch_returncode = che_unite(DEF(98),DEF(97),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 96.2 98 */
  if ((ch_returncode = insertfunc(DEF(96)DOT(2),DEF(98),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 99 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).value = ch_val;
  REF(99).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 98 99 , 10 */
  if ((ch_returncode = che_unite(DEF(98),DEF(99),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 96.2 98 */
  if ((ch_returncode = insertfunc(DEF(96)DOT(2),DEF(98),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 25;
cb330:
/* call 3.5 86.1 95 3.2 96 3.8 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(5),
          arguments[1] = DEF(86)DOT(1),
          arguments[2] = DEF(95),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(96),
          arguments[5] = DEF(3)DOT(8),
          arguments[5+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c331:
/* initget 100 84.1 , 0,0 */
  (*(REF(100).tsdr)->finalize)(REF(100).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(100),DEF(84)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c332:
/* get_or_err 100 84.1 */
  if ((ch_returncode = get_selected_object(DEF(100),DEF(84)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* position 101 86 */
  ch_frame = get_selector_frame(DEF(86),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(101).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(101).tsdr = &dr_integer;
/* lookup_at 102 80.2 101 */
  if((ch_i = REF(101).value.integer) < 0 || ch_i >= (ch_t = 
    REF(80)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(102).value,ch_i);
  REF(102).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 103 102 */
  if((ch_returncode = (REF(102).tsdr->copy)(& ch_val, REF(102).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).value = ch_val;
  REF(103).tsdr = datarepmap[REF(102).tsdr->number];
/* notequal . 100.0 103 , 332 */
  if ( !(REF(100)DOT(0).tsdr->equal)(REF(100)DOT(0).value,REF(103).value) )
     goto c332;
/* reveal 100.1 , 0 */
  if (0 != REF(100)DOT(1).value.variant->info.variant_case)
     goto ch_case_error;
/* equal . 100.1.0 95 , 352 */
  if ( (REF(100)DOT(1)DOT(0).tsdr->equal)(REF(100)DOT(1)DOT(0).value,
    REF(95).value) ) goto c352;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 104 , "argument of wrong type in constraint attribute of constraint pretypestate" */
  if( !chs_lit(DEF(104),
    "argument of wrong type in constraint attribute of constraint pretypestate"
    ) ) goto ch_depletion;
/* unite 14 104 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(104),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 105 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).value = ch_val;
  REF(105).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 105 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(105),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 371 */
   goto c371;
c352:
/* unite 76.0 106 , 0 */
  if ((ch_returncode = che_unite(DEF(76)DOT(0),DEF(106),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 76.1 , 13 */
  if ((ch_returncode = che_new_table(DEF(76)DOT(1),QUAL(13)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 107 86 */
  if((ch_returncode = (REF(86).tsdr->copy)(& ch_val, REF(86).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).value = ch_val;
  REF(107).tsdr = datarepmap[REF(86).tsdr->number];
/* insert 76.1 107 */
  if ((ch_returncode = insertfunc(DEF(76)DOT(1),DEF(107),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 108 , FALSE */
  REF(108).value.boolean = FALSE;
  REF(108).tsdr = & dr_boolean;
/* find_or_goto 109 6.4 76 , 0,359 */
  if (findfunc(DEF(109),DEF(6)DOT(4),(
          arguments[0] = DEF(76),& arguments[0]),sched,0) == FAILURE) goto c359;
/* boolean 108 , TRUE */
  REF(108).value.boolean = TRUE;
  REF(108).tsdr = & dr_boolean;
c359:
/* not 110 108 */
  REF(110).value.boolean = !REF(108).value.boolean;
  REF(110).tsdr = & dr_boolean;
/* branch_false 110 , 371 */
  if ( !REF(110).value.boolean ) goto c371;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 111 , "argument of constraint attribute not init in constraint pretypestate" */
  if( !chs_lit(DEF(111),
    "argument of constraint attribute not init in constraint pretypestate") )
     goto ch_depletion;
/* unite 14 111 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(111),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 112 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  REF(112).value = ch_val;
  REF(112).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 112 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(112),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c371:
/* discard 76.0 */
  (*(REF(76)DOT(0).tsdr)->finalize)(REF(76)DOT(0).value,F_DISCARD,sched);
  REF(76)DOT(0).tsdr = & dr_bottom;
/* discard 76.1 */
  (*(REF(76)DOT(1).tsdr)->finalize)(REF(76)DOT(1).value,F_DISCARD,sched);
  REF(76)DOT(1).tsdr = & dr_bottom;
/* endget 100 84.1 */
  end_selector(DEF(100),DEF(84)DOT(1),sched,GET);
/* endblock */
  che_endblock(sched);
/* branch , 383 */
   goto c383;
c376:
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* branch , 383 */
   goto c383;
c379:
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* branch , 383 */
   goto c383;
c382:
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
c383:
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* branch , 287 */
   goto c287;
c386:
/* endget 86 85 */
  end_selector(DEF(86),DEF(85),sched,GET);
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* copy 113 80.4 */
  if((ch_returncode = cp_table(& ch_val, REF(80)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).value = ch_val;
  REF(113).tsdr = & dr_table;
/* initget 114 113 , 0,0 */
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(114),DEF(113),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c390:
/* get_or_goto 114 113 , 434 */
  if ((ch_returncode = get_selected_object(DEF(114),DEF(113)
    ,sched)) != Normal) goto c434;
/* discard 76.0 */
  (*(REF(76)DOT(0).tsdr)->finalize)(REF(76)DOT(0).value,F_DISCARD,sched);
  REF(76)DOT(0).tsdr = & dr_bottom;
/* discard 76.1 */
  (*(REF(76)DOT(1).tsdr)->finalize)(REF(76)DOT(1).value,F_DISCARD,sched);
  REF(76)DOT(1).tsdr = & dr_bottom;
/* block , 20 */
  if((ch_returncode = che_block(QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
/* copy 76.0 114.0 */
  if((ch_returncode = cp_variant(& ch_val, REF(114)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(76)DOT(0).tsdr)->finalize)(REF(76)DOT(0).value,F_DISCARD,sched);
  REF(76)DOT(0).value = ch_val;
  REF(76)DOT(0).tsdr = & dr_variant;
/* new_table 76.1 , 13 */
  if ((ch_returncode = che_new_table(DEF(76)DOT(1),QUAL(13)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 115 114.1 */
  if((ch_returncode = cp_table(& ch_val, REF(114)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).value = ch_val;
  REF(115).tsdr = & dr_table;
/* initget 116 115 , 0,0 */
  (*(REF(116).tsdr)->finalize)(REF(116).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(116),DEF(115),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c398:
/* get_or_goto 116 115 , 413 */
  if ((ch_returncode = get_selected_object(DEF(116),DEF(115)
    ,sched)) != Normal) goto c413;
/* new_record 117 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  REF(117).value = ch_val; REF(117).tsdr = & dr_record;
/* initget 118 45.1 , 0,0 */
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(118),DEF(45)DOT(1),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c401:
/* get_or_err 118 45.1 */
  if ((ch_returncode = get_selected_object(DEF(118),DEF(45)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* find 119 80.2 116.0.1 , 0 */
  if (findfunc(DEF(119),DEF(80)DOT(2),(
          arguments[0] = DEF(116)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* scan_position 120 119 80.2 */
  ch_t = REF(80)DOT(2).value.table;
  (*(ch_t->tbls[ORDER_TBL].des->foreach))
    (ch_t,ORDER_TBL,do_table_position,& ch_ctr,CONT_FOREACH,REF(119).value);
  REF(120).value.integer = (dfd_integer) ch_ctr;
  REF(120).tsdr = & dr_integer;
/* position 121 118 */
  ch_frame = get_selector_frame(DEF(118),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(121).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(121).tsdr = &dr_integer;
/* notequal . 120 121 , 401 */
  if ( REF(120).value.integer != REF(121).value.integer ) goto c401;
/* copy 117.0 118.0 */
  if((ch_returncode = (REF(118)DOT(0).tsdr->copy)(& ch_val, 
    REF(118)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(117)DOT(0).tsdr)->finalize)(REF(117)DOT(0).value,F_DISCARD,sched);
  REF(117)DOT(0).value = ch_val;
  REF(117)DOT(0).tsdr = datarepmap[REF(118)DOT(0).tsdr->number];
/* concat 117.1 118.1 116.1 */
  if ((ch_returncode = che_concat(DEF(117)DOT(1),DEF(118)DOT(1),DEF(116)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 118 45.1 */
  end_selector(DEF(118),DEF(45)DOT(1),sched,GET);
/* insert 76.1 117 */
  if ((ch_returncode = insertfunc(DEF(76)DOT(1),DEF(117),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 398 */
   goto c398;
c413:
/* endget 116 115 */
  end_selector(DEF(116),DEF(115),sched,GET);
/* discard 115 */
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  REF(115).tsdr = & dr_bottom;
/* boolean 122 , FALSE */
  REF(122).value.boolean = FALSE;
  REF(122).tsdr = & dr_boolean;
/* find_or_goto 123 6.4 76 , 0,418 */
  if (findfunc(DEF(123),DEF(6)DOT(4),(
          arguments[0] = DEF(76),& arguments[0]),sched,0) == FAILURE) goto c418;
/* boolean 122 , TRUE */
  REF(122).value.boolean = TRUE;
  REF(122).tsdr = & dr_boolean;
c418:
/* not 124 122 */
  REF(124).value.boolean = !REF(122).value.boolean;
  REF(124).tsdr = & dr_boolean;
/* branch_false 124 , 430 */
  if ( !REF(124).value.boolean ) goto c430;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 125 , "part of constraint's typestate not present in constraint pretypestate" */
  if( !chs_lit(DEF(125),
    "part of constraint's typestate not present in constraint pretypestate") )
     goto ch_depletion;
/* unite 14 125 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(125),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 126 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).value = ch_val;
  REF(126).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 126 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(126),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c430:
/* endblock */
  che_endblock(sched);
/* branch , 390 */
   goto c390;
c432:
/* discard 117 */
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  REF(117).tsdr = & dr_bottom;
/* branch , 390 */
   goto c390;
c434:
/* endget 114 113 */
  end_selector(DEF(114),DEF(113),sched,GET);
/* discard 113 */
  (*(REF(113).tsdr)->finalize)(REF(113).value,F_DISCARD,sched);
  REF(113).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c438:
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* branch , 450 */
   goto c450;
c440:
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 127 , "wrong number of arguments for constraint attribute of constraint pretypestate" */
  if( !chs_lit(DEF(127),
    "wrong number of arguments for constraint attribute of constraint pretypestate"
    ) ) goto ch_depletion;
/* unite 14 127 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(127),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 128 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).value = ch_val;
  REF(128).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 128 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(128),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c450:
/* endblock */
  che_endblock(sched);
/* branch , 463 */
   goto c463;
c452:
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* copy 12 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 129 , "definition for constraint attribute in constraint pretypestate not found" */
  if( !chs_lit(DEF(129),
    "definition for constraint attribute in constraint pretypestate not found"
    ) ) goto ch_depletion;
/* unite 14 129 , 3 */
  if ((ch_returncode = che_unite(DEF(14),DEF(129),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 130 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(130).tsdr)->finalize)(REF(130).value,F_DISCARD,sched);
  REF(130).value = ch_val;
  REF(130).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 14 130 , 10 */
  if ((ch_returncode = che_unite(DEF(14),DEF(130),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 12.2 14 */
  if ((ch_returncode = insertfunc(DEF(12)DOT(2),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.8 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(8),DEF(12),FALSE,0)) != Normal)
     goto ch_raise_exception;
c463:
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
c465:
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* branch , 155 */
   goto c155;
c468:
/* endget 45 44 */
  end_selector(DEF(45),DEF(44),sched,GET);
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* copy 131 43 */
  if((ch_returncode = cp_table(& ch_val, REF(43).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).value = ch_val;
  REF(131).tsdr = & dr_table;
/* initget 132 131 , 0,0 */
  (*(REF(132).tsdr)->finalize)(REF(132).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(132),DEF(131),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c484:
c472:
/* get_or_goto 132 131 , 485 */
  if ((ch_returncode = get_selected_object(DEF(132),DEF(131)
    ,sched)) != Normal) goto c485;
/* discard 133 */
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).tsdr = & dr_bottom;
/* copy 133 3.7 */
  if((ch_returncode = (REF(3)DOT(7).tsdr->copy)(& ch_val, REF(3)DOT(7).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).value = ch_val;
  REF(133).tsdr = datarepmap[REF(3)DOT(7).tsdr->number];
/* chs_lit 134 , " in constraint pretypestate" */
  if( !chs_lit(DEF(134)," in constraint pretypestate") ) goto ch_depletion;
/* unite 135 134 , 3 */
  if ((ch_returncode = che_unite(DEF(135),DEF(134),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 133.2 135 */
  if ((ch_returncode = insertfunc(DEF(133)DOT(2),DEF(135),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 136 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).value = ch_val;
  REF(136).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* unite 135 136 , 10 */
  if ((ch_returncode = che_unite(DEF(135),DEF(136),sched,10)) != Normal)
     goto ch_raise_exception;
/* insert 133.2 135 */
  if ((ch_returncode = insertfunc(DEF(133)DOT(2),DEF(135),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 47;
cb483:
/* call 3.4 132.2 132.1 3.2 3.3 133 3.8 3.5 3.6 , 21 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(4),
          arguments[1] = DEF(132)DOT(2),
          arguments[2] = DEF(132)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(133),
          arguments[6] = DEF(3)DOT(8),
          arguments[7] = DEF(3)DOT(5),
          arguments[8] = DEF(3)DOT(6),
          arguments[8+1] = nil,& arguments[0]),QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
  return;
c485:
/* endget 132 131 */
  end_selector(DEF(132),DEF(131),sched,GET);
/* discard 131 */
  (*(REF(131).tsdr)->finalize)(REF(131).value,F_DISCARD,sched);
  REF(131).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 550 */
   goto c550;
c489:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* chs_lit 137 , "Whoa! unexpected notfound in last block of checkconstraints" */
  if( !chs_lit(DEF(137),
    "Whoa! unexpected notfound in last block of checkconstraints") )
     goto ch_depletion;
/* print 137 */
  re_print(stderr, 0, DEF(137)); fflush(stderr);
/* discard 137 */
  (*(REF(137).tsdr)->finalize)(REF(137).value,F_DISCARD,sched);
  REF(137).tsdr = & dr_bottom;
/* branch , 550 */
   goto c550;
c495:
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* discard 73 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).tsdr = & dr_bottom;
/* discard 51 */
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 49 */
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).tsdr = & dr_bottom;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
/* discard 80 */
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).tsdr = & dr_bottom;
/* discard 127 */
  (*(REF(127).tsdr)->finalize)(REF(127).value,F_DISCARD,sched);
  REF(127).tsdr = & dr_bottom;
/* discard 128 */
  (*(REF(128).tsdr)->finalize)(REF(128).value,F_DISCARD,sched);
  REF(128).tsdr = & dr_bottom;
/* discard 129 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).tsdr = & dr_bottom;
/* discard 130 */
  (*(REF(130).tsdr)->finalize)(REF(130).value,F_DISCARD,sched);
  REF(130).tsdr = & dr_bottom;
/* discard 84 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).tsdr = & dr_bottom;
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* discard 97 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).tsdr = & dr_bottom;
/* discard 99 */
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).tsdr = & dr_bottom;
/* discard 103 */
  (*(REF(103).tsdr)->finalize)(REF(103).value,F_DISCARD,sched);
  REF(103).tsdr = & dr_bottom;
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
/* discard 111 */
  (*(REF(111).tsdr)->finalize)(REF(111).value,F_DISCARD,sched);
  REF(111).tsdr = & dr_bottom;
/* discard 112 */
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  REF(112).tsdr = & dr_bottom;
/* discard 125 */
  (*(REF(125).tsdr)->finalize)(REF(125).value,F_DISCARD,sched);
  REF(125).tsdr = & dr_bottom;
/* discard 126 */
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).tsdr = & dr_bottom;
/* discard 117 */
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  REF(117).tsdr = & dr_bottom;
/* discard 133 */
  (*(REF(133).tsdr)->finalize)(REF(133).value,F_DISCARD,sched);
  REF(133).tsdr = & dr_bottom;
/* discard 135 */
  (*(REF(135).tsdr)->finalize)(REF(135).value,F_DISCARD,sched);
  REF(135).tsdr = & dr_bottom;
/* discard 134 */
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  REF(134).tsdr = & dr_bottom;
/* discard 136 */
  (*(REF(136).tsdr)->finalize)(REF(136).value,F_DISCARD,sched);
  REF(136).tsdr = & dr_bottom;
/* discard 3.6 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).tsdr = & dr_bottom;
/* discard 3.8 */
  (*(REF(3)DOT(8).tsdr)->finalize)(REF(3)DOT(8).value,F_DISCARD,sched);
  REF(3)DOT(8).tsdr = & dr_bottom;
/* chs_lit 138 , "Whoa! unexpected others in last block of checkconstraints" */
  if( !chs_lit(DEF(138),
    "Whoa! unexpected others in last block of checkconstraints") )
     goto ch_depletion;
/* print 138 */
  re_print(stderr, 0, DEF(138)); fflush(stderr);
/* discard 138 */
  (*(REF(138).tsdr)->finalize)(REF(138).value,F_DISCARD,sched);
  REF(138).tsdr = & dr_bottom;
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c550:
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* branch , 6 */
   goto c6;
c552:
/* endget 6 5 */
  end_selector(DEF(6),DEF(5),sched,GET);
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 591 */
   goto c591;
c557:
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* chs_lit 139 , "Whoa! unexpected notfound exception in checkconstraints" */
  if( !chs_lit(DEF(139),
    "Whoa! unexpected notfound exception in checkconstraints") )
     goto ch_depletion;
/* print 139 */
  re_print(stderr, 0, DEF(139)); fflush(stderr);
/* discard 139 */
  (*(REF(139).tsdr)->finalize)(REF(139).value,F_DISCARD,sched);
  REF(139).tsdr = & dr_bottom;
/* branch , 591 */
   goto c591;
c562:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* chs_lit 140 , "Whoa! unexpected checkcircular_typestate.discarded exception in checkconstraints" */
  if( !chs_lit(DEF(140),
    "Whoa! unexpected checkcircular_typestate.discarded exception in checkconstraints"
    ) ) goto ch_depletion;
/* print 140 */
  re_print(stderr, 0, DEF(140)); fflush(stderr);
/* discard 140 */
  (*(REF(140).tsdr)->finalize)(REF(140).value,F_DISCARD,sched);
  REF(140).tsdr = & dr_bottom;
/* branch , 591 */
   goto c591;
c568:
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 3.6 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6).tsdr = & dr_bottom;
/* discard 3.8 */
  (*(REF(3)DOT(8).tsdr)->finalize)(REF(3)DOT(8).value,F_DISCARD,sched);
  REF(3)DOT(8).tsdr = & dr_bottom;
/* chs_lit 141 , "dying..." */
  if( !chs_lit(DEF(141),"dying...") ) goto ch_depletion;
/* print 141 */
  re_print(stderr, 0, DEF(141)); fflush(stderr);
/* discard 141 */
  (*(REF(141).tsdr)->finalize)(REF(141).value,F_DISCARD,sched);
  REF(141).tsdr = & dr_bottom;
/* branch , 591 */
   goto c591;
c577:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* chs_lit 142 , "Whoa! unexpected others exception in checkconstraints" */
  if( !chs_lit(DEF(142),
    "Whoa! unexpected others exception in checkconstraints") )
     goto ch_depletion;
/* print 142 */
  re_print(stderr, 0, DEF(142)); fflush(stderr);
/* discard 142 */
  (*(REF(142).tsdr)->finalize)(REF(142).value,F_DISCARD,sched);
  REF(142).tsdr = & dr_bottom;
c591:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c595:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
